#
# spec file for package nano (Version 2.0.8)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           nano
BuildRequires:  ncurses-devel
Url:            http://www.nano-editor.org/
License:        GPL v3 or later
Group:          Productivity/Editors/Other
AutoReqProv:    on
Summary:        Pico Editor Clone with Enhancements
Version:        2.0.8
Release:        1
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %install_info_prereq

%description
GNU nano is a small and friendly text editor. It aims to emulate the
Pico text editor while also offering a few enhancements.



Authors:
--------
    Chris Allegretta <chrisa@asty.org>
    David Lawrence Ramsey <pooka_regent@sluggy.net>
    Jordi Mallach <jordi@sindominio.net>
    Adam Rogoyski <rogoyski@cs.utexas.edu>
    Robert Siemborski <rjs3@andrew.cmu.edu>
    Rocco Corsi <rocco.corsi@sympatico.ca>
    David Benbennick <dbenbenn@math.cornell.edu>

%prep
%setup -q

%build
export CFLAGS="%optflags  $(ncursesw-config --cflags)"
export LDFLAGS="%optflags $(ncursesw-config --libs)"
%configure --enable-all
%{__make} %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%install_info --info-dir=%_infodir %_infodir/%name.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS TODO UPGRADE
%{_mandir}/fr
%{_mandir}/fr/man?
%{_mandir}/man?/*.*
%{_mandir}/*/man?/*.*
%{_bindir}/*
%{_infodir}/*.gz
%{_datadir}/nano

%changelog
* Wed Aug 27 2008 cthiel@suse.de
- update to version 2.0.8
  * GNU nano 2.0.8 is what she said.  This release contains fixes for
  several long standing issues, including: crashing when starting with too
  small a window size, compilation fixes for AIX curses, crashes in the
  help menu using some locales, and a fun issue where nano mistalenly
  reports a successful file write on filesystems which are almost
  completely full.  Have at it.
* Mon May 05 2008 crrodriguez@suse.de
- fix for Feature No 300498 , use RPM_OPT_FLAGS everywhere.
* Thu Apr 10 2008 cthiel@suse.de
- adapt package to use latests ncursesw
* Sun Feb 24 2008 crrodriguez@suse.de
- use find_lang macro
- add missing calls to install_info_* macros
* Fri Dec 21 2007 cthiel@suse.de
  * update to version 2.0.7
  * nano 2.0.7 keeps its balance.  This release fixes several bugs, among
  others: a segfault and several cursor positioning problems when
  uncutting text or inserting files into the current buffer; a problem
  where the total number of characters would be miscalculated when
  replacing single-byte characters with multibyte ones; several minor
  issues with the statusbar prompt involving text display and mouse
  support; and several oddities when tab-completing in the middle of a
  line.  It also improves autodetection of DOS and Mac format files,
  properly supports the mouse wheel when using a version of ncurses built
  with the --enable-ext-mouse option, fixes some problems under NetBSD
  curses, adds a lot of translation updates, and adds more minor
  documentation updates.  Slang curses emulation support has also been
  changed to turn off all the options that --enable-tiny does, as it's
  hopelessly broken otherwise.  Finally, nano is now licensed under the
  GNU GPL version 3 or later, and its documentation is now dual-licensed
  under the GNU GPL version 3 or later and the GNU FDL version 1.2 or
  later.  Have fun.
* Thu Dec 06 2007 cthiel@suse.de
- added nano-2.0.6.patch to fix error: call to '__open_missing_mode'
  declared with attribute error: open with O_CREAT in second argument needs
  3 arguments
* Thu May 03 2007 cthiel@suse.de
- update to version 2.0.6
  * GNU nano 2.0.6 "that was quick" is released.  This release fixes a
  potential segfault after justifying text marked from the bottom up.  It
  also adds one more minor documentation update.  Enjoy.
* Mon Apr 23 2007 cthiel@suse.de
- update to version 2.0.5
  * GNU nano 2.0.5 braces for impact.  Among other things, this release
  fixes various problems (including a segfault) when trying to open or
  save a file in a directory beginning with "~" that isn't a home
  directory; fixes a problem where a file with no name could be saved over
  an existing filename with no warning about overwriting it; properly
  disallows opening directories or device files from "include" commands in
  nanorc files; no longer displays a misleading prompt when trying to save
  in restricted mode with the mark on; and properly supports the Cancel
  and Shift-Cancel keys.  It also improves several color syntaxes to
  highlight trailing whitespace, just as the Java syntax does, and adds
  yet more minor documentation updates.  Have fun.
* Sat Apr 07 2007 cthiel@suse.de
- update to version 2.0.4
  * GNU nano 2.0.4 heralds the dawn.  This release contains proper support
  for the Ctrl-[arrow key], Shift-[arrow key], and F13-F16 keys under
  Xfce's Terminal.  It also adds still more minor documentation updates.
  Enjoy.
* Thu Mar 29 2007 cthiel@suse.de
- fixed build by adding BuildRequires: ncurses-devel
* Mon Jan 29 2007 cthiel@suse.de
- update to version 2.0.3
  * GNU nano 2.0.3 flows toward its ending.  This release contains several
  minor optimizations to make the executable a little smaller under some
  circumstances, some translation updates, improvements to the color
  syntax for Python, and still more minor documentation updates.
* Thu Dec 21 2006 cthiel@suse.de
- update to version 2.0.2
  * GNU nano 2.0.2 forges ahead.  This release fixes a segfault when trying
  to save in a nonexistent directory; fixes handling of strings containing
  nulls at the "Write File", "Insert File", "Execute Command", and "Go to
  Directory" prompts; fixes several minor memory leaks; fixes two more
  potential compilation warnings; adds a few translation updates; and adds
  a few more minor documentation updates.  Enjoy.
* Mon Nov 20 2006 cthiel@suse.de
- update to version 2.0.1
  * GNU nano 2.0.1 emerges from its cocoon.  This release contains several
  bugfixes: saving one file over another will now always warn about
  overwriting it, overwriting a file is no longer possible when saving a
  new file in restricted mode, and zero-length Unicode characters are now
  highlighted properly when nano is built without regular expression
  support.  It also adds several minor documentation updates.  Have fun
  with it.
* Sun Nov 12 2006 cthiel@suse.de
- update to version 2.0.0
  * GNU nano 2.0.0 does its little dance.  This release adds documentation
  updates and a few cosmetic tweaks.  For those who haven't been following
  nano 1.3 development, there are a ton of new features, including support
  for UTF-8, moving to a specified line and column instead of just a line,
  improved color syntax highlighting, inserting previously untypeable
  characters using "Verbatim Input" mode, and copying text into the
  cutbuffer without cutting it.  There are also fixes for some
  long-standing bugs, such as the "NumLock glitch" from nano 1.2.x, and
  the inability to unjustify text after resizing.  Finally, there are also
  a ton of translation updates and new translations, as well as new color
  syntaxes.  See the UPGRADE file for more information, and enjoy the new
  stable release.
* Mon Jun 26 2006 cthiel@suse.de
- update to version 1.3.12
  * This release contains the last new features that nano will have before
  2.0: copying text into the cutbuffer without cutting it, indenting lines
  of marked text with a single keystroke, reworked help text that should
  be easier for new users, searching for filenames in the file browser,
  the ability to include color regexes in files separate from nanorc
  files, etc.  It also contains many bugfixes.  Text can now be
  unjustified after justifying it and resizing the window; the screen is
  now cleared when suspending; the "default" color syntax is now handled
  properly at all times; lines of text containing tabs are now wrapped at
  the right place; double-column characters are now properly displayed
  when past the right edge of the screen; invalid multi-line color regexes
  are now ignored; and so on.
* Thu May 25 2006 cthiel@suse.de
- update to version 1.3.11
  * This release focuses mostly on bugfixes, which include better handling
  of the cursor at the statusbar prompt, support for certain combinations
  of Shift and keyboard keys in both normal and
    --rebind-keypad mode, a fix for a minor display problem after some
  searches, a real fix for a long-standing segfault when displaying overly
  long lines, and a real fix for nano's not hanging up properly in xterm
  under certain circumstances.  There are also several new features, such
  as the ability to set the characters used as brackets when searching for
  matching brackets, and tab completion of directories at the "Go To
  Directory" prompt.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Dec 24 2005 cthiel@suse.de
- update to version 1.3.10
* Tue Oct 25 2005 cthiel@suse.de
- update to version 1.3.9
* Tue Sep 13 2005 cthiel@suse.de
- specfile cleanup
* Fri Jul 01 2005 cthiel@suse.de
- update to version 1.3.8
* Wed Jun 29 2005 cthiel@suse.de
- update to version 1.3.7
* Mon Jun 06 2005 cthiel@suse.de
- initial package (1.2.5)
